<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg"
    android:id="@+id/container">

    <com.android.chmo.ui.view.TopBar
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:topTitle="新用户注册"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_marginTop="50dp"
        android:padding="15dp">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical"
            android:paddingLeft="20dp"
            android:paddingRight="20dp"
            android:background="@mipmap/register_input">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/ic_name"/>
            <EditText
                android:id="@+id/nickName"
                style="@style/registerInput"
                android:hint="请输入昵称"
                android:maxLength="20"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical"
            android:paddingLeft="20dp"
            android:paddingRight="20dp"
            android:layout_marginTop="10dp"
            android:background="@mipmap/register_input">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/ic_phone"/>
            <EditText
                android:id="@+id/phone"
                style="@style/registerInput"
                android:hint="请输入手机号"
                android:inputType="number"
                android:maxLength="11"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical"
            android:paddingLeft="20dp"
            android:paddingRight="20dp"
            android:layout_marginTop="10dp"
            android:background="@mipmap/register_input">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/ic_pwd"/>
            <EditText
                android:id="@+id/password"
                style="@style/registerInput"
                android:hint="请设置密码"
                android:inputType="textPassword"
                android:maxLength="20"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical"
            android:paddingLeft="20dp"
            android:paddingRight="20dp"
            android:layout_marginTop="10dp"
            android:background="@mipmap/register_input">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/ic_pwd"/>
            <EditText
                android:id="@+id/confirm_password"
                style="@style/registerInput"
                android:hint="请确认密码"
                android:inputType="textPassword"
                android:maxLength="20"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:gravity="center_vertical"
            android:paddingLeft="20dp"
            android:paddingRight="20dp"
            android:layout_marginTop="10dp"
            android:background="@mipmap/register_input">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/ic_verifycode"/>
            <EditText
                android:id="@+id/code"
                style="@style/registerInput"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:hint="验证码"
                android:inputType="number"
                android:maxLength="6"/>

            <TextView
                android:id="@+id/getCode"
                android:layout_width="90dp"
                android:layout_height="30dp"
                android:gravity="center"
                android:textSize="12sp"
                android:textColor="@color/code_text"
                android:text="获取验证码"/>



        </LinearLayout>

        <Button
            android:id="@+id/register"
            style="@style/largeBtn"
            android:background="@mipmap/login_btn"
            android:layout_marginTop="40dp"
            android:text="新用户注册"/>

        <LinearLayout
            android:id="@+id/protocol"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:orientation="horizontal"
            android:gravity="center"
            android:paddingTop="10dp">

            <ImageView
                android:id="@+id/checkbox"
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:src="@drawable/radio"
                android:layout_marginRight="6dp"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="12sp"
                android:textColor="@color/gray"
                android:text="我已阅读过并同意“"/>

            <TextView
                android:id="@+id/user_protocol"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="12sp"
                android:textColor="@color/pink"
                android:text="用户协议"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="12sp"
                android:textColor="@color/gray"
                android:text="”和“"/>
            <TextView
                android:id="@+id/privacy_protocol"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="12sp"
                android:textColor="@color/pink"
                android:text="隐私协议"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="12sp"
                android:textColor="@color/gray"
                android:text="”"/>
        </LinearLayout>
    </LinearLayout>
</LinearLayout>